package DB;
final public class WarningHolder
	implements org.omg.CORBA.portable.Streamable
{
	public DB.Warning value;

	public WarningHolder ()
	{
	}
	public WarningHolder (DB.Warning initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return DB.WarningHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream _in)
	{
		value = DB.WarningHelper.read(_in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream _out)
	{
		DB.WarningHelper.write(_out,value);
	}
}
